Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.scheduling.aspectj
Class AspectJAsyncConfiguration

    java.lang.Object
      org.springframework.scheduling.annotation.AbstractAsyncConfiguration
          org.springframework.scheduling.aspectj.AspectJAsyncConfiguration

All Implemented Interfaces:
  Aware, ImportAware

    @Configuration
    public class AspectJAsyncConfiguration

extends AbstractAsyncConfiguration

`@Configuration` class that registers the Spring infrastructure beans necessary to enable AspectJ-based asynchronous method execution.

Since:
  3.1
Author:
  Chris Beams
See Also:
  `EnableAsync`, `AsyncConfigurationSelector`

Field Summary

Fields inherited from class org.springframework.scheduling.annotation.AbstractAsyncConfiguration
`enableAsync, executor`

Constructor Summary
`AspectJAsyncConfiguration()`

Method Summary
`AnnotationAsyncExecutionAspect` | `asyncAdvisor()` The component that will apply async execution advice to beans annotated with the async annotation.

Methods inherited from class org.springframework.scheduling.annotation.AbstractAsyncConfiguration
`setImportMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AspectJAsyncConfiguration

    public AspectJAsyncConfiguration()

Method Detail

### asyncAdvisor

    @Bean(name="org.springframework.scheduling.config.internalAsyncExecutionAspect")
    @Role(value=2)
    public AnnotationAsyncExecutionAspect asyncAdvisor()

  Description copied from class: `AbstractAsyncConfiguration`
  The component that will apply async execution advice to beans annotated with the async annotation. Subclasses will provide either a BeanPostProcessor in the case of proxy-based advice, or an AspectJ aspect if weaving is preferred.

  Specified by:
    `asyncAdvisor` in class `AbstractAsyncConfiguration`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD